{ pkgs, ... }: pkgs.stdenv.mkDerivation {
  name = "aoc2021";
  buildInputs = [ pkgs.haskellPackages.aoc2021-programs ];
  src = ../../.;
  installPhase = ''
    mkdir -p $out/{bin,files}
    cat > $out/bin/aoc2021 << EOF
    #!/bin/bash
    cat $out/files/\''${1}-input.txt | ${pkgs.haskellPackages.aoc2021-programs}/bin/aoc2021-\''${1}
    EOF
    chmod +x $out/bin/aoc2021
    find code/ -type f | grep -i input.txt$ | xargs -i cp {} $out/files
  '';
}
