module Main where

import Data.List

-- this is a little gross

data School = School
  { day0 :: Integer
  , day1 :: Integer
  , day2 :: Integer
  , day3 :: Integer
  , day4 :: Integer
  , day5 :: Integer
  , day6 :: Integer
  , day7 :: Integer
  , day8 :: Integer
  } deriving Show

toSchool' :: [(Integer,Integer)] -> School -> School
toSchool' [] s = s
toSchool' ((i,n):is) s
  | i == 0 = toSchool' is $ s { day0 = n }
  | i == 1 = toSchool' is $ s { day1 = n }
  | i == 2 = toSchool' is $ s { day2 = n }
  | i == 3 = toSchool' is $ s { day3 = n }
  | i == 4 = toSchool' is $ s { day4 = n }
  | i == 5 = toSchool' is $ s { day5 = n }
  | i == 6 = toSchool' is $ s { day6 = n }
  | i == 7 = toSchool' is $ s { day7 = n }
  | i == 8 = toSchool' is $ s { day8 = n }
  | otherwise = error "index too large"

-- sorry i couldnt be bothered learning haskell arrays

main :: IO ()
main = do
  raw <- getLine
  let input = (toSchool . collect . sort) $ map read $ words $ map (\c -> if c == ',' then ' ' else c) raw
  putStrLn $ "day6a: " ++ (show $ sumSchool ((iterate transform input) !! 80))
  putStrLn $ "day6b: " ++ (show $ sumSchool ((iterate transform input) !! 256))

sumSchool :: School -> Integer
sumSchool (School a b c d e f g h i) =
  a + b + c + d + e + f + g + h + i

transform :: School -> School
transform (School a b c d e f g h i) =
  School b c d e f g (h+a) i a

collect :: [Integer] -> [(Integer,Integer)]
collect is = map f $ group is
  where
    f js = if js == []
           then error "empty list"
           else ((head js), toInteger (length js))

toSchool :: [(Integer,Integer)] -> School
toSchool is = toSchool' is (School 0 0 0 0 0 0 0 0 0)
